Name:           ccrypt
Version:        1.10
Release:        1%{?dist}
Summary:        Secure encryption and decryption of files and streams

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://ccrypt.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gettext

%description
ccrypt is a utility for encrypting and decrypting files and streams.
It was designed as a replacement for the standard unix crypt utility,
which is notorious for using a very weak encryption algorithm.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
##rm %{buildroot}/usr/doc/ccrypt/ccrypt.html
%find_lang %{name}

%check
make check 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README doc/cypfaq01.txt
%{_mandir}/man*/*.*
%{_bindir}/cc*

%changelog
* Sun Oct 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.10-1
- Updated to new upstream version 1.10

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.9-3
- Rebuilt

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.9-1
- Updated to new upstream version 1.9

* Tue Jun 16 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.8-1
- Updated to new upstream version 1.8

* Wed Apr 22 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-4
- Let check pass (on i386 only 3 of 4 tests are successful)

* Sun Mar 08 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-3
- Added check
- Added Patch for maketables

* Mon Feb 02 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-2
- Fixed description

* Wed Jan 20 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-1
- Initial spec for Fedora

